"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var forms_1 = require("@angular/forms");
var InputComponent = (function () {
    function InputComponent() {
        this.onTouchedCallback = function () { };
        this.onChangeCallback = function () { };
        this.dcBlur = new core_1.EventEmitter();
        this.dcFocus = new core_1.EventEmitter();
    }
    Object.defineProperty(InputComponent.prototype, "value", {
        get: function () {
            return this.showValue;
        },
        set: function (v) {
            this.showValue = v;
            this.onChangeCallback(this.showValue);
        },
        enumerable: true,
        configurable: true
    });
    InputComponent.prototype.ngOnInit = function () {
    };
    InputComponent.prototype.registerOnChange = function (fn) {
        this.onChangeCallback = fn;
    };
    InputComponent.prototype.registerOnTouched = function (fn) {
        this.onTouchedCallback = fn;
    };
    InputComponent.prototype.writeValue = function (val) {
        if (val) {
            this.value = val;
        }
    };
    InputComponent.decorators = [
        { type: core_1.Component, args: [{
                    selector: 'dc-input',
                    template: "\n    <input [(ngModel)]=\"value\"/>\n  ",
                    styles: [
                        "\n    "
                    ],
                    providers: [
                        { provide: forms_1.NG_VALUE_ACCESSOR, useExisting: core_1.forwardRef(function () { return InputComponent; }), multi: true }
                    ]
                },] },
    ];
    /** @nocollapse */
    InputComponent.ctorParameters = function () { return []; };
    InputComponent.propDecorators = {
        "name": [{ type: core_1.Input },],
        "dcBlur": [{ type: core_1.Output },],
        "dcFocus": [{ type: core_1.Output },],
    };
    return InputComponent;
}());
exports.InputComponent = InputComponent;
//# sourceMappingURL=input.component.js.map